#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.3
visibility:           public
id:                   persistent-test-2.13.1.3-7PNMJVfFjlj1mDAek1GybL
key:                  persistent-test-2.13.1.3-7PNMJVfFjlj1mDAek1GybL
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  849cb418d00c5208493e9749c6e4b594
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest TypeLitFieldDefsTest
    UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.3-7PNMJVfFjlj1mDAek1GybL
depends:
    HUnit-1.6.2.0-8V4cpd2vyM7I9OG8MrEdHy
    QuickCheck-2.14.3-2FUI0ycZlrbG7BkVMiUKvc
    aeson-2.1.2.1-2QGjkfeUzb9GAwOHYL9mgm base-4.16.4.0
    blaze-html-0.9.1.2-A5KXBNyQdfKA6uCozbcuq2 bytestring-0.11.4.0
    conduit-1.3.5-EymqpkTSnlOJQExfW4pA9Z containers-0.6.5.1
    exceptions-0.10.4 hspec-2.10.9-2iQtDSEDAgdBujKiNNwOp1
    hspec-expectations-0.8.3-1zJ9Bt2UKIO1izJ8suxZW5
    http-api-data-0.5.1-6Rdklsu2yfq1YlGTyIQfv0
    monad-control-1.0.3.1-AX02qra1qxmHNghOyTYjz4
    monad-logger-0.3.40-8y12w5knfFoLLRwRFoy45g mtl-2.2.2
    path-pieces-0.2.1-E15XfVOwfTfIr2VliI4YGA
    persistent-2.14.5.1-FdAF3X0cRzqIB6b09gIfbF
    quickcheck-instances-0.3.30-DPmkIXGkiv1BGsrTd2SlI
    random-1.2.1.2-LCKSS7rEcRbACR8x8dKjFH
    resourcet-1.2.6-AkuAfAqfUrLC3kiGqtKSRc text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 transformers-base-0.4.6-IOayaC279jG1puxw49VnQP
    unliftio-0.2.25.0-INoatlssrBVAcEPI6HA5Cp
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-B4pxT3iF0jR7WvKg6foz6h

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

